#!/bin/bash
set -e

mkdir -p json

stats="$(git diff --shortstat | xargs)"
if [ -z "${stats}" ]; then stats=none; fi

printf "Updated: %s\n\nUpdates: %s" "$(date)" "${stats}" > README.md

git add json README.md && git commit -m "Updates: ${stats}"
git push origin HEAD:main

exit 0
